/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: J2WRLSharedClient.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxws.sharedclients.rpclitclient;

import com.sun.ts.lib.harness.EETest;
import com.sun.ts.tests.jaxws.sharedclients.SOAPClient;

public class J2WRLSharedClient extends SOAPClient {
    public J2WRLSharedClient(String webServerHost, int webServerPort, int mode) throws EETest.Fault {
        this(webServerHost, webServerPort, mode, null);
    }
    public J2WRLSharedClient(String webServerHost, int webServerPort, int mode, javax.xml.ws.Service webServiceRef) throws EETest.Fault {
        super(webServerHost, webServerPort, mode);
    }
    
    /* (non-Javadoc)
     * @see com.sun.ts.tests.jaxws.wsi.clients.Client#getEndpointURLProperty()
     */
    protected String getEndpointURLProperty() {
        return "wsi.j2wrlshared.endpoint.1";
    }

    /* (non-Javadoc)
     * @see com.sun.ts.tests.jaxws.wsi.clients.Client#getWSDLURLProperty()
     */
    protected String getWSDLURLProperty() {
        return "wsi.j2wrlshared.wsdlloc.1";
    }
}
